#!/bin/sh
#
# xbook.sh - script to call nl.justobjects.xbook.XBook main()
#
# $Id: xbook.sh,v 1.4 2003/10/09 09:30:08 just Exp $
# -----------------------------------------------------------------------------

# Find out the home dir of XBook installation
if [ -z "$XBOOK_HOME" ] ; then
	## resolve links - $0 may be a link to  home
	PRG=$0
	progname=`basename $0`
	
	while [ -h "$PRG" ] ; do
		ls=`ls -ld "$PRG"`
		link=`expr "$ls" : '.*-> \(.*\)$'`
		if expr "$link" : '.*/.*' > /dev/null; then
			PRG="$link"
		else
			PRG="`dirname $PRG`/$link"
		fi
	done
	
	XBOOK_HOME_1=`dirname "$PRG"`/..
	if [ -d ${XBOOK_HOME_1} ] ; then
		OLD_PWD=`pwd`
		cd ${XBOOK_HOME_1}
		XBOOK_HOME=`pwd`
		cd $OLD_PWD
		echo "Setting XBOOK_HOME to $XBOOK_HOME"
	fi
fi

# define classpath for Java
XBOOK_CLASSPATH=${XBOOK_HOME}/src:${XBOOK_HOME}/class:${XBOOK_HOME}/lib/xbook.jar:${XBOOK_HOME}/lib/xbookaux.jar

# finally call XBook to process the book XML into a site
# variables 
# $1 input book XML file 
# $2 output directory
# optional flag: -lite for leightweight HTML menu generation
java -cp ${XBOOK_CLASSPATH} nl.justobjects.xbook.XBook $@



