<?xml version="1.0"?>


<!DOCTYPE xsl:stylesheet [

	<!ENTITY sp "&#160;">
]>

<!--
  XSL for generating HTML from XML specified according to page.dtd.

  This is a really simple stylesheet since most of the transformation
  is done through the included text2html.xsl stylesheet.

  $Id: page2html.xsl,v 1.7 2004/02/04 14:01:20 just Exp $
 -->

<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html" indent="yes" encoding="ISO-8859-1"/>
	<xsl:param name="OUTDIR" select="'.'"/>
	<!-- Use default style if no parameter specified.   -->
	<xsl:param name="STYLEFILE" select="'nl/justobjects/xbook/rsc/skin/default-page-style.xml'"/>



	<!-- Reuse all text formatting.  -->
	<xsl:include href="nl/justobjects/xbook/rsc/xsl/text2html.xsl"/>

	<!-- Process page -->
	<xsl:template match="/page">
		<html lang="en">

			<!-- Generate HTML head section -->
			<xsl:call-template name="head"/>


			<body marginwidth="0">

				<!-- Generate top of page (title etc). -->
				<xsl:call-template name="top"/>

				<!-- Let text2html.xsl do all the transformations for the content element.   -->
				<xsl:apply-templates select="content"/>

				<!-- Generate bottom of page (footer etc). -->
				<xsl:call-template name="bottom"/>

			</body>
		</html>
	</xsl:template>


	<!-- START CALLABLE TEMPLATES -->
	<!-- HTML head section. -->
	<xsl:template name="head" priority="1">
		<head>
			<xsl:comment>Generated by XBook. page2html.xsl. Doctype is page.dtd</xsl:comment>
			<xsl:comment>Author: Just van den Broecke</xsl:comment>
			<xsl:comment>Email: just@justobjects.nl</xsl:comment>
			<xsl:comment>See www.justobjects.nl for more info</xsl:comment>


			<title>
				<xsl:value-of select="info/title"/>
			</title>

			<meta HTTP-EQUIV="Pragma" CONTENT="no-cache"/>

			<!-- Include the page style CSS XML file. -->
			<style type="text/css" ID="PageStyle">
				<xsl:value-of select="document($STYLEFILE)"/>
			</style>
		</head>
	</xsl:template>


	<!-- Top of page part. Overrule with specific settings (icons etc). -->
	<xsl:template name="top" priority="1">
		<!-- Display only title in the top.  -->
		<div class="TITLE">
			<xsl:value-of select="info/title"/>
		</div>
	</xsl:template>

	<!-- Bottom of page part. Overrule with specific settings (icons etc). -->
	<xsl:template name="bottom" priority="1">
		<!-- Bottom (footer) stuff. -->
		<hr/>
		<span class="SMALL">
			<a>
				<xsl:attribute name="href">mailto:
					<xsl:value-of select="info/author/email"/>
				</xsl:attribute>
				<xsl:value-of select="info/author/name"/>
			</a> -
			<xsl:value-of select="info/date"/> -
			<xsl:value-of select="info/id"/>
		</span>
	</xsl:template>


</xsl:stylesheet>

