<?xml version="1.0"?>
<!-- 
  XSL for generating JS functions (xmenusetup.js) from menu.xml XML.
  
    $Id: xmenu2javascript.xsl,v 1.2 2003/01/06 10:27:22 just Exp $
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

 <xsl:output method="html" indent="yes" encoding="ISO-8859-1" />
  

<!-- Process top --> 	
<xsl:template match="/xmenu">
    <xsl:text>
      /* **** GENERATED FROM MENU.XML - DO NOT EDIT !!! 
       copyright 2000 Just Objects B.V. - contact: just@justobjects.nl **** */ 
    </xsl:text>


	<!-- Construct function that returns the main page -->
	<xsl:text>function getDefaultPage() { </xsl:text>

      <xsl:text>return '</xsl:text><xsl:value-of select="@default"/><xsl:text>';</xsl:text> 
	<xsl:text>} </xsl:text>

	<xsl:text>function setupMenuEntries() { 
			folderCurrent = -1;
	
	</xsl:text>

    <xsl:apply-templates/> 
      
	<xsl:text>}</xsl:text>
</xsl:template>

<!-- Process folder: add as subfolder of current level  --> 	
<xsl:template match="folder">

	<!-- Remember the current folder variable -->
	<xsl:text>folder</xsl:text>
	<xsl:number level="any" from="/xmenu" />
	<xsl:text>= folderCurrent; </xsl:text>


	<!-- Construct the JS call of the signature: 
		 addFolder(folderN, "label", "desc");
	  -->
	<xsl:text>folderCurrent = addFolder(folder</xsl:text>
	<xsl:number level="any" from="/xmenu" />

    <xsl:text>,"</xsl:text>
    <xsl:value-of select="@label"/>
    <xsl:text>","</xsl:text> 
	<xsl:value-of select="@desc"/> 
	<xsl:text>");</xsl:text>
    
    <xsl:apply-templates/> 
    
    <!-- Reset the folderCurrent to the remembered value -->
	<xsl:text>folderCurrent = folder</xsl:text>
	<xsl:number level="any" from="/xmenu" />
	<xsl:text>; </xsl:text>
	
</xsl:template> 

<!-- Process document: add to the current folder --> 	
<xsl:template match="doc">

	<!-- Construct the JS call of the signature. 
	     addDocument(folderCurrent, "label", "url", "desc", "target");
	  -->
	   
	<xsl:text>addDocument(folderCurrent, "</xsl:text>

    <xsl:value-of select="@label"/>
    <xsl:text>", "</xsl:text> 
    <xsl:value-of select="@url"/> 
    <xsl:text>", "</xsl:text>
    <xsl:value-of select="@desc"/> 
    <xsl:text>", "</xsl:text>
    <xsl:value-of select="@target"/> 
    <xsl:text>");</xsl:text>

</xsl:template>


</xsl:stylesheet>

<!-- 
  History
  $Log: xmenu2javascript.xsl,v $
  Revision 1.2  2003/01/06 10:27:22  just
  removed Arial fonts from default styles

  Revision 1.1  2002/04/28 11:55:04  just
  xmenu integration in xbook

  Revision 1.5  2002/04/04 14:40:34  just
  no message

  Revision 1.4  2000/12/27 23:58:46  kstroke
  bugfix: added ; after folderCurrent = folderN

  Revision 1.3  2000/12/17 23:14:02  just
  made more clever/compact XSL templates (using vars)

  Revision 1.2  2000/12/17 17:01:59  just
  bug fixes

  Revision 1.1  2000/12/09 16:37:51  just
  new

  
-->
