/****************************************************************
 * Copyright (C)2000 - Just van den Broecke - See license below *
 ****************************************************************/

package nl.justobjects.toolkit.sys;

public class AlarmTest {

	public static void main(String[] args) {

		// this part is to test the proper function of compareTo and reschedule
		// functions of Alarm class
		final Alarm a1 = new Alarm(5000, new AlarmListener() {

			public void alarm(Alarm anAlarm) {
				System.out.println("Damn, I should never go off!");
			}
		});

		final Alarm a2 = new Alarm(2000, new AlarmListener() {

			public void alarm(Alarm anAlarm) {

				System.out.println("a2 going off! Rescheduling a1 and a2");
				anAlarm.reschedule();
				a1.reschedule();
			}
		});

		/*
			final SchedulerThread st = new SchedulerThread();

			st.start();

			System.out.println("Scheduling a1, 5000");

			final Alarm a1 = new Alarm(5000, new AlarmListener() {

				public void alarm(Alarm anAlarm) {

					System.out.println("START 1");

					//anAlarm.schedule(2000);
				}
			});

			System.out.println("Scheduling a2, 2000");

			Alarm a2 = new Alarm(2000, new AlarmListener() {

				public void alarm(Alarm anAlarm) {

					synchronized (st) {
						System.out.println("START 2");
						System.out.println("Scheduling a1, 1000");

						// a1.reschedule(1000);
						st.toSchedule = a1;
						st.interval = 1000;

						st.notify();

						try {
							st.wait(1);
						}
						catch (InterruptedException e) {
						}

						System.out.println("Rescheduling a2, 2000");

						// anAlarm.reschedule();
						st.toSchedule = anAlarm;
						st.interval = -1;

						st.notify();
					}
				}
			});
		*/


		try {
			Thread.sleep(20000);
		} catch (InterruptedException ie) {
		}

		// cancel the alarms before exiting
		a1.cancel();
		a2.cancel();
		System.out.println("Exiting!");
	}

	// use apart thread to do the scheduling of the alarms so that we can test
	// the waking up mechanisme of the Alarm class. The objective is to see if
	// the sleepinf thread in the Alarm class is waked up only when an Alarm is
	// added that should be executed before the Alarm currently first to be
	// executed
	static private class SchedulerThread extends Thread {

		public SchedulerThread() {
			super.setDaemon(true);
		}

		public void run() {

			while (true) {
				synchronized (this) {
					try {
						wait();
					} catch (InterruptedException e) {
						return;
					}

					if (interval != -1) {
						toSchedule.reschedule(interval);
					} else {
						toSchedule.reschedule();
					}
				}
			}
		}

		private Alarm toSchedule;
		private int interval;
	}
}

/*
 * $Log: AlarmTest.java,v $
 * Revision 1.3  2003/01/06 00:23:49  just
 * moved devenv to linux
 *
 * Revision 1.2  2002/11/14 20:25:19  just
 * reformat of code only
 *
 * Revision 1.1  2001/09/26 20:18:23  kstroke
 * new
 *
 *
 */


/*
   Copyright (C)2000 Just A. van den Broecke <just@justobjects.nl>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
