<?xml version="1.0"?>

<!--
  XSL for generating HTML from XML specified according to album.dtd.

  $Id: album2html.xsl,v 1.9 2004/02/04 14:01:20 just Exp $
-->

<!DOCTYPE xsl:stylesheet [
	<!-- space -->
	<!ENTITY sp "&#160;">
]>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:lxslt="http://xml.apache.org/xslt"
	xmlns:redirect="org.apache.xalan.xslt.extensions.Redirect"
    xmlns:java="http://xml.apache.org/xslt/java"
    exclude-result-prefixes="java"
	extension-element-prefixes="redirect" >

<xsl:output method="html" indent="yes" encoding="ISO-8859-1" />

<xsl:param name="STYLEFILE" select="'nl/justobjects/xbook/rsc/skin/default-album-style.xml'"/>
<xsl:param name="OUTFILE" select="'no-htmlfile-supplied.html'"/>
<xsl:param name="OUTDIR" select="'.'"/>

<!-- derived filenames (not full paths!) -->
<xsl:variable name="BASEFILE"><xsl:value-of select="substring-before($OUTFILE, '.htm')"/></xsl:variable>
<xsl:variable name="BASEFILEPATH"><xsl:value-of select="concat($OUTDIR, '/', $BASEFILE)"/></xsl:variable>

<!-- xsl:script is xslt 1.1 and not yet in Xalan -->
<!-- <xsl:script
     implements-prefix="Thumbnail"
     language="java"
     xmlns:Thumbnail="java:nl.justobjects.xbook.ThumbnailGenerator"
     src="java:nl.justobjects.xbook.ThumbnailGenerator" />    -->

<!-- Process top -->
<xsl:template match="/album">
	<xsl:apply-templates select="cover"/>

	<xsl:apply-templates select="images"/>
</xsl:template>

<!-- Process cover matter -->
<xsl:template match="cover">
	<html>

	<xsl:call-template name="head">
		<xsl:with-param name="TITLE" select="title"/>
	</xsl:call-template>

	<body>
	   <center>
	   <xsl:call-template name="cover" />

       <table cellspacing="40" border="0">
       <tr>
       <td>

	    <table cellspacing="0" cellpadding="14" border="1" >
		<tr>
		<td>
          <xsl:for-each select="/album/images/image">

			 <xsl:variable name="imageFile"
                          select="@file"/>

			 <xsl:variable name="srcDir"
                          select="java:nl.justobjects.xbook.XSLTHelper.getVar('srcDir')" />

			 <xsl:variable name="destDir"
                          select="java:nl.justobjects.xbook.XSLTHelper.getVar('destDir')" />

			 <xsl:variable name="thumbnailFile"
                          select="java:nl.justobjects.xbook.XSLTHelper.generateThumbnail($srcDir, $destDir, $imageFile)" />


             <a href="{concat($BASEFILE, '-s', position(), '.html')}">
                <img src="{$thumbnailFile}" border="0"/>&sp;&sp;&sp;&sp;
             </a>

			 <!-- <thumbnail-generator:generate imageFile="{@file}" thumbnailFile="{@file}-tb.jpg" />  -->

			<xsl:if test="position() mod 6 = 0">
               <p/>
            </xsl:if>
          </xsl:for-each>
       </td>
        </tr>
       </table>
        <p>
        <a href="http://www.justobjects.nl" target="_new"><div class="SMALL">powered by XBook</div></a>
        </p>

      </td>
      </tr>
      </table>
     </center>
    </body>
    </html>
</xsl:template>

<!-- Images one per file -->
<xsl:template match="images">

	<xsl:for-each select="image">

		<redirect:write select="concat($BASEFILEPATH, '-s', position(), '.html')">
			 <html>
				<xsl:call-template name="head">
					<xsl:with-param name="TITLE" select="@title"/>
				</xsl:call-template>

	            <body>
					<table width="100%" height="100%" cellspacing="0" cellpadding="0" border="0">

					  <!-- Slide Top -->
					  <tr valign="top" height="5%" class="top">
					    <td>
					      <table width="100%" height="10%" cellspacing="6" cellpadding="6" border="0">
					       <tr>
					         <td valign="middle" align="left">
									<xsl:call-template name="nav" />
					         </td>
					         <td width="80%" valign="middle" align="left">
					         <center>
					           <div class="TITLE" >  <xsl:value-of select="@title" /> </div>
					         </center>
					        </td>
					        <td width="10%" valign="middle" align="right">
					 				 <div class="MAIN"><xsl:value-of select="position()" /></div>
					        </td>
					       </tr>
					     </table>
					     <hr/>
					   </td>
					  </tr>

					  <!-- Slide Body -->
					  <tr valign="center" class="top">
					    <td align="left">
						    <center>
						       <img src="{@file}" border="0"/>
						   </center>
					    </td>
					  </tr>

					  <!-- Slide Bottom -->
					  <tr valign="bottom" height="5%" class="bottom">
					   <td>
					     <hr/>
					     <table width="100%" cellspacing="6" cellpadding="2" border="0">
					      <tr>
					        <td width="66%" valign="top" align="left">
					          <i><div class="SMALL"><xsl:value-of select="/album/cover/title"/></div></i>
					        </td>
					        <td width="33%" valign="top" align="right">
					          <a href="http://www.justobjects.nl" target="_new"><div class="SMALL">powered by XBook</div></a>
					        </td>
					      </tr>
					     </table>
					   </td>
					  </tr>
					</table>
				</body>
			</html>
		</redirect:write>
	</xsl:for-each>
</xsl:template>



<!--

START CALLABLE TEMPLATES

-->

<!-- Cover Generation -->
<xsl:template name="cover">
  <p>&sp;  </p>
	<table cellspacing="0" cellpadding="24" border="1" >
		<tr>
			<td>
			   <div class="TITLE"><center>
			      <xsl:value-of select="/album/cover/title"/>
			      </center>
			   </div>
				<div class="MAIN">
				<p align="center">
						<xsl:value-of select="/album/cover/author"/> -
						<xsl:value-of select="/album/cover/date"/>
				</p>
                  <p>
                  <i><xsl:value-of select="/album/cover/description"/></i>
                  </p>
			    </div>

		   </td>
		</tr>
    </table>
</xsl:template>


<!--
	Draw navigation links check the number of the section
	and see if there's a prev or a next.
-->
<xsl:template name="nav">
    <table border="1" cellspacing="0" cellpadding="6">
    <tr>
	<xsl:if test="position() != 1">
		    <td>
	   <div class="MAIN">

		<a href="{concat($BASEFILE, '-s', position() - 1,'.html')}">&sp;&sp;&lt;&lt;&sp;&sp;</a>
       </div>
      </td>
	</xsl:if>
	<td>
	  <div class="MAIN">
	    <a href="{$OUTFILE}">Index</a>
	  </div>
	</td>
	<xsl:if test="position() != last()">
		<td>
		  <div class="MAIN">
		   <a href="{concat($BASEFILE, '-s', position() + 1,'.html')}">&sp;&sp;&gt;&gt;&sp;&sp;</a>
	      </div>
	    </td>
	</xsl:if>
	</tr>
	</table>
</xsl:template>

<xsl:template name="head">
	<xsl:param name="TITLE" select="'NO TITLE'"/>
     <head>
      <xsl:comment>Generated by XBook/XDoc. Do not edit!!!</xsl:comment>
      <xsl:comment>Author: Just van den Broecke</xsl:comment>
      <xsl:comment>Email: just@justobjects.nl</xsl:comment>
      <xsl:comment>See www.justobjects.nl for more info</xsl:comment>

      <title><xsl:value-of select="$TITLE"/></title>
      <meta HTTP-EQUIV="Pragma" CONTENT="no-cache"/>
      <style type="text/css" ID="AlbumStyles">
	      <xsl:value-of select="document($STYLEFILE)" />
      </style>
     </head>
</xsl:template>

<xsl:template name="setS1">
  <xsl:number level="multiple" count="image" format="1."/>
</xsl:template>


</xsl:stylesheet>

