<?xml version="1.0"?>
<!-- 
  XSL for generating lightweight HTML (-lite option) menu from menu.xml XML.
  
    $Id: xmenu2html.xsl,v 1.7 2004/02/04 14:01:20 just Exp $
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

 <xsl:output method="html" indent="yes" encoding="ISO-8859-1" />
  

<!-- Process top --> 	
<xsl:template match="/xmenu">
	<html lang="en">
	<head>
		<xsl:comment>Generated by XBook/XMenu. Do not edit!!!</xsl:comment>
		<xsl:comment>Author: Just van den Broecke</xsl:comment>
		<xsl:comment>Email: just@justobjects.nl</xsl:comment>
		<xsl:comment>See www.justobjects.nl for more info</xsl:comment>
	
		<title>Menu of <xsl:value-of select="@title"/></title>
		<meta HTTP-EQUIV="Pragma" CONTENT="no-cache"/>
		<STYLE ID="MenuStyles" TYPE="text/css">
			<xsl:comment>
				 BODY, P, .title, .folder, .folder2, .doc, .doc2, .closing  {
					 background: $BGCOLOR;	
					 color: $FGCOLOR;
					line-height: 15px;
					 font-size: 10px;
					font-family : Arial, Helvetica, sans-serif;
					font-style : normal;
				 }
				
				.title  {
				 	font-weight : bold;
				 	font-size : 12px;
				 	text-align : center; 
				 }
				 
				.folder  {
				 	font-size : 12px;
				 	font-weight : bold; 
				 }

				.doc {
					font-size : 12px;
				 }

				A:link,A:visited,A:active,A:hover  {
				   text-decoration: none;
				}

				 .folder2 {
				 	font-size : 11px;
				 	font-weight : bold; 
				 	font-style : italic; 
				 }
				 

				.doc2 {
					font-size : 10px;
				 }
				 
				.closing {
				line-height: 11px;
					font-size : 9px;
				 	font-style : italic; 
				 }
			</xsl:comment>
		</STYLE>
	</head>
	
	<body>
		<table bgcolor="$BGCOLOR" border="0" cellspacing="0" cellpadding="20" >
			<tr>
				<td width="400">
					<!-- The top title with image or text depending if imageTitle attr present. -->
					<xsl:choose>
					  <xsl:when test="@titleImage">
					    <xsl:call-template name="menuTitleAsImage"/>
					  </xsl:when>
					  <xsl:otherwise>
					    <xsl:call-template name="menuTitleAsText"/>
					  </xsl:otherwise>
					</xsl:choose>
					
					<p>&#160;</p>

					<!-- Process the menu folders/items. -->
					<xsl:apply-templates/> 

					<pre>
					
					
					<table border="0" cellpadding="8">
					<tr>
					<td>
					<a href="http://www.justobjects.nl" target="_new">
						<div class="closing">
								powered by <br/>
								$POWERED
						</div>
					</a>
					</td>
					</tr>
					</table>
					</pre>
				</td>
			</tr>
		</table>
	</body>
	</html>
</xsl:template>

<xsl:template match="folder/folder">
    <br/>
	  <span class="folder2">&#160;&#160;<xsl:value-of select="@label"/></span>
	<xsl:apply-templates/> 
</xsl:template>

<!-- Process folder: add as subfolder of current level  --> 	
<xsl:template match="folder">
	<p>
	<span class="folder"><xsl:value-of select="@label"/></span>
	<xsl:apply-templates/>
	</p>
</xsl:template>

<!-- Process top level document: add to the current folder --> 	
<xsl:template match="xmenu/doc">
	<xsl:call-template name="createDocLink">
		 <xsl:with-param name="TARGET" select="@target" /> 
		 <xsl:with-param name="URL" select="@url" /> 
		 <xsl:with-param name="LABEL" select="@label" /> 
	</xsl:call-template> 
</xsl:template>

<!-- Process second level document: add to the current folder --> 	
<xsl:template match="folder/folder/doc">
	<xsl:call-template name="createDocLink">
		 <xsl:with-param name="TARGET" select="@target" /> 
		 <xsl:with-param name="URL" select="@url" /> 
		 <xsl:with-param name="LABEL" select="@label" /> 
		 <xsl:with-param name="INDENT">&#160;&#160;&#160;&#160;</xsl:with-param> 
		 <xsl:with-param name="CLASS">doc2</xsl:with-param> 
	</xsl:call-template> 
</xsl:template>

<!-- Process any level document: add to the current folder --> 	
<xsl:template match="doc">
	<xsl:call-template name="createDocLink">
		 <xsl:with-param name="TARGET" select="@target" /> 
		 <xsl:with-param name="URL" select="@url" /> 
		 <xsl:with-param name="LABEL" select="@label" /> 
		 <xsl:with-param name="INDENT">&#160;&#160;</xsl:with-param> 
	</xsl:call-template> 
</xsl:template>


<!-- START CALLABLE TEMPLATES -->

<!-- Creates a HTML link for a leaf document. 
   params: 
     TARGET - target frame (e.g. _top or an external frame, default: text)
     URL - the URL
     LABEL - the label (HTML link text in page)
     INDENT - set of spaces to indent
     CLASS - CSS class attribute for style
 -->
<xsl:template name="createDocLink">
	<xsl:param name="TARGET" select="'text'"/>
	<xsl:param name="URL" select="''"/>
	<xsl:param name="LABEL" select="'document'"/>
	<xsl:param name="INDENT" select="''"/>
	<xsl:param name="CLASS" select="'doc'"/>


	<a target="{$TARGET}" href="{$URL}">
		<span class="{$CLASS}"><br/><xsl:value-of select="$INDENT"/><xsl:value-of select="$LABEL"/></span>
	</a> 
</xsl:template>

<!-- Creates the top of the menu with an image in a table frame. -->
<xsl:template name="menuTitleAsImage" priority="1" >
	<table border="0" cellspacing="0" cellpadding="5">
	  <tr><td>
	  <center>
	    <a target="text">
          <xsl:attribute name="href"><xsl:value-of select="@default"/></xsl:attribute>					    
          <img border="0"><xsl:attribute name="src"><xsl:value-of select="@titleImage"/></xsl:attribute></img>
	    </a>
	    </center>
	  </td>
	  </tr>
	</table>
</xsl:template>

<!-- Creates the top of the menu with the title in a table frame. -->
<xsl:template name="menuTitleAsText" priority="1" >
	<table border="1" cellspacing="0" cellpadding="10">
	  <tr><td>
	  <center>
	    <a target="text">
          <xsl:attribute name="href"><xsl:value-of select="@default"/></xsl:attribute>					    
          <span class="title"><xsl:value-of select="@title"/></span>
	    </a>
	    </center>
	  </td>
	  </tr>
	</table>
</xsl:template>

<!-- END CALLABLE TEMPLATES -->

</xsl:stylesheet>

<!-- 
  History
  $Log: xmenu2html.xsl,v $
  Revision 1.7  2004/02/04 14:01:20  just
  bugfix empty XSL comment (ArrayOutOfBoundsException in Xalan)

  Revision 1.6  2003/10/09 22:01:51  just
  adapted fonts in all styles (doc/album/page/menu)

  Revision 1.5  2003/01/06 10:27:22  just
  removed Arial fonts from default styles

  Revision 1.4  2002/07/09 23:17:32  just
  allow images to be used in top of menu frame

  Revision 1.3  2002/05/15 20:54:15  just
  bugfix: target attribute was hardcoded to "text" (now the default)

  Revision 1.2  2002/04/30 20:31:37  just
  improvements to menu-lite layout

  Revision 1.1  2002/04/28 11:55:04  just
  xmenu integration in xbook

  Revision 1.5  2002/04/04 14:40:34  just
  no message

  Revision 1.4  2002/03/28 14:58:35  just
  no message

  Revision 1.3  2002/02/04 23:27:26  just
  mainly changes to find resources through CLASSPATH (no cpath:/ anymore)

  Revision 1.2  2002/01/24 01:13:58  just
  poweredBy stuff update

  Revision 1.1  2001/12/14 21:46:42  just
  new

 
-->
