<?xml version="1.0"?>

<!--
  Sample XSL for generating HTML from XML specified according to faq.dtd.

  This is a really simple stylesheet since most of the transformation
  is done through the included text2html.xsl stylesheet.

  $Id: myfaq2html.xsl,v 1.2 2002/07/06 20:56:55 just Exp $
-->

<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" indent="yes" encoding="ISO-8859-1" />

<!-- Reuse text.dtd formatting. -->
<xsl:include href="nl/justobjects/xbook/rsc/xsl/text2html.xsl"/>

<!-- Reuse page style. -->
<xsl:param name="STYLEFILE" select="'nl/justobjects/xbook/rsc/skin/default-page-style.xml'"/>

<!-- Process entire faq here -->
<xsl:template match="/myfaq">
	<html>

     <head>
      <title><xsl:value-of select="@title" /></title>

      <!-- Include the CSS XML file. -->
      <style type="text/css" ID="PageStyle">
	      <xsl:value-of select="document($STYLEFILE)" />
      </style>
     </head>

	<body marginwidth="0">
		<h1><xsl:value-of select="@title" /></h1>
		<xsl:for-each select="qa">
			<h2><xsl:number level="multiple" count="qa" format="1. "/> <xsl:value-of select="question"/></h2>
			<xsl:apply-templates select="answer"/>
		</xsl:for-each>
   </body>
   </html>
</xsl:template>

</xsl:stylesheet>

